<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarketMenuTooltipEntry Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dc1/a06186.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarketMenuTooltipEntry Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMarketMenuTooltipEntry:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/dc1/a06186.png" usemap="#ExpansionMarketMenuTooltipEntry_map" alt=""/>
  <map id="ExpansionMarketMenuTooltipEntry_map" name="ExpansionMarketMenuTooltipEntry_map">
<area href="../../d4/d56/a05206.html" alt="ExpansionScriptView" shape="rect" coords="0,0,208,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a956e60ba96f6354c2e6704c1ef25afaf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#a956e60ba96f6354c2e6704c1ef25afaf">ExpansionMarketMenuTooltipEntry</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> label)</td></tr>
<tr class="separator:a956e60ba96f6354c2e6704c1ef25afaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a5d9cdaf65e457c932189cd6187351c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#a7a5d9cdaf65e457c932189cd6187351c">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a7a5d9cdaf65e457c932189cd6187351c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841b5704f12663342cb5c7e0e4008839"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#a841b5704f12663342cb5c7e0e4008839">GetControllerType</a> ()</td></tr>
<tr class="separator:a841b5704f12663342cb5c7e0e4008839"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dea29afecb5a8e00cad92ccf3a99f00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#a3dea29afecb5a8e00cad92ccf3a99f00">SetView</a> ()</td></tr>
<tr class="separator:a3dea29afecb5a8e00cad92ccf3a99f00"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aec504e87ec956dccfe891fa0ea67260b"><td class="memItemLeft" align="right" valign="top">ref ExpansionMarketMenuTooltipEntryController&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#aec504e87ec956dccfe891fa0ea67260b">m_TooltipEntryController</a></td></tr>
<tr class="separator:aec504e87ec956dccfe891fa0ea67260b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a524e339f21ee8bc6e338aee6e6ce4098"><td class="memItemLeft" align="right" valign="top">protected RichTextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#a524e339f21ee8bc6e338aee6e6ce4098">tooltip_entry_text</a></td></tr>
<tr class="separator:a524e339f21ee8bc6e338aee6e6ce4098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa43fc372925e92fc6083bfc62aeb07c8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dc1/a06186.html#aa43fc372925e92fc6083bfc62aeb07c8">m_Label</a></td></tr>
<tr class="separator:aa43fc372925e92fc6083bfc62aeb07c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/dba/a01940.html">ExpansionMarketMenuTooltipEntry.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00013">13</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a956e60ba96f6354c2e6704c1ef25afaf" name="a956e60ba96f6354c2e6704c1ef25afaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a956e60ba96f6354c2e6704c1ef25afaf">&#9670;&#160;</a></span>ExpansionMarketMenuTooltipEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuTooltipEntry::ExpansionMarketMenuTooltipEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>label</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00019">19</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a841b5704f12663342cb5c7e0e4008839" name="a841b5704f12663342cb5c7e0e4008839"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841b5704f12663342cb5c7e0e4008839">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionMarketMenuTooltipEntry::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00036">36</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<a id="a7a5d9cdaf65e457c932189cd6187351c" name="a7a5d9cdaf65e457c932189cd6187351c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a5d9cdaf65e457c932189cd6187351c">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketMenuTooltipEntry::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00031">31</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<a id="a3dea29afecb5a8e00cad92ccf3a99f00" name="a3dea29afecb5a8e00cad92ccf3a99f00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dea29afecb5a8e00cad92ccf3a99f00">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuTooltipEntry::SetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >TODO: This should use &lt;object&gt;.<a class="el" href="../../d0/d3e/a00566.html#afd5acc8b635cd22eb1c5cf4e9da663c2">GetDisplayName()</a> instead because we already have the preview object</p>

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00041">41</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa43fc372925e92fc6083bfc62aeb07c8" name="aa43fc372925e92fc6083bfc62aeb07c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa43fc372925e92fc6083bfc62aeb07c8">&#9670;&#160;</a></span>m_Label</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketMenuTooltipEntry::m_Label</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00017">17</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<a id="aec504e87ec956dccfe891fa0ea67260b" name="aec504e87ec956dccfe891fa0ea67260b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec504e87ec956dccfe891fa0ea67260b">&#9670;&#160;</a></span>m_TooltipEntryController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ExpansionMarketMenuTooltipEntryController ExpansionMarketMenuTooltipEntry::m_TooltipEntryController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00015">15</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<a id="a524e339f21ee8bc6e338aee6e6ce4098" name="a524e339f21ee8bc6e338aee6e6ce4098"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a524e339f21ee8bc6e338aee6e6ce4098">&#9670;&#160;</a></span>tooltip_entry_text</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected RichTextWidget ExpansionMarketMenuTooltipEntry::tooltip_entry_text</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dba/a01940_source.html#l00016">16</a> of file <a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/market/<a class="el" href="../../d5/dba/a01940_source.html">expansionmarketmenutooltipentry.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/dc1/a06186.html">ExpansionMarketMenuTooltipEntry</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
